> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/elementassets.md).

# ElementAssets

Assets are used to store data that is related to Objects that contain them. These can be images, icons, and other 3D files, either uploaded or generated.

## Uploadable Types

The following types are uploadable:

| Name               | Type               | Valid for element                            | Max. Size          | Comment                                                                                   |
| ------------------ | ------------------ | -------------------------------------------- | ------------------ | ----------------------------------------------------------------------------------------- |
| perspectiveImage   | Image (.jpg, .png) | Item, Configuration, Plansnapshot, Component | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| perspectiveImageHD | Image (.jpg, .png) | Item                                         | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| topImage           | Image (.jpg, .png) | Item, Configuration, Plansnapshot            | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| cover              | Image (.jpg, .png) | Catalog                                      | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| brandIcon          | Image (.jpg, .png) | Catalog                                      | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| featuredImage      | Image (.jpg, .png) | Catalog                                      | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| svgIcon            | Image (.jpg, .png) | Tag                                          | 100MB              |                                                                                           |
| pngIcon            | Image (.jpg, .png) | Tag                                          | 512x512 or 100MB   | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| inspirationImage   | Image (.jpg, .png) | Tag                                          | 512x512 or 100MB   | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| thumbnail          | Image (.jpg, .png) | Material                                     | 256x256 or 100MB   | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| image1k            | Image (.jpg, .png) | Texture                                      | 1024x1024 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| source             | Multiformat        | Static Item, Texture, Mesh                   | 100MB              |                                                                                           |
| glb\_preview       | glTF binary (.glb) | Static Item                                  | 100MB              |                                                                                           |
| imosix             | XML (.xml)         | Item, Configuration, Plansnapshot            | 100MB              | IMOS iX export; uploading again replaces the previous file                                |

## Internal Types

The following types are internally generated and cannot be uploaded:

| Name                        | Type                                    | Valid for element                              | Comment                                  |
| --------------------------- | --------------------------------------- | ---------------------------------------------- | ---------------------------------------- |
| usdz                        | Universal scene desctiption ZIP (.usdz) | Configurable Item, Configuration, Plansnapshot |                                          |
| glb                         | glTF binary (.glb)                      | Configurable Item, Configuration, Plansnapshot |                                          |
| generatedPerspectiveImage   | Image (.jpg)                            | Static Item                                    |                                          |
| generatedPerspectiveImageHD | Image (.jpg)                            | Static Item                                    |                                          |
| generatedTopImage           | Image (.jpg)                            | Static Item                                    |                                          |
| 3d-front                    | Zip archive (.zip)                      | Plansnapshot                                   | For AI project                           |
| src                         | Multiformat                             | Static Item, Mesh, Texture                     | The source used to generate other assets |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/elementassets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
